### A free/open-source library for quantitative finance

Public Member Functions
AnalyticCliquetEngine Class Reference
Cliquet option engines

Pricing engine for Cliquet options using analytical formulae. More...

`#include <ql/pricingengines/cliquet/analyticcliquetengine.hpp>`

Inheritance diagram for AnalyticCliquetEngine:
[legend]

List of all members.

## Public Member Functions

| AnalyticCliquetEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process)
void | calculate () const

## Detailed Description

Pricing engine for Cliquet options using analytical formulae.

Tests:
  - the correctness of the returned value is tested by reproducing results available in literature.
  - the correctness of the returned greeks is tested by reproducing numerical derivatives.